Skip to navigation

Retrieve Stats for current Tenant

View as Markdown

Retrieve stats for current Tenant.

User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org

Response

OK
instanceobjectOptional
Instance status counts for the Tenant
vpcobjectOptional
VPC status counts for the Tenant
subnetobjectOptional
Subnet status counts for the Tenant
tenantAccountobjectOptional
Tenant Account status counts for the Tenant

Errors

403
Forbidden Error